summaryrefslogtreecommitdiffstats
path: root/desktop/uwm/uwm.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/uwm/uwm.SlackBuild')
-rw-r--r--desktop/uwm/uwm.SlackBuild43
1 files changed, 20 insertions, 23 deletions
diff --git a/desktop/uwm/uwm.SlackBuild b/desktop/uwm/uwm.SlackBuild
index 534cc98f98..27d8d81aab 100644
--- a/desktop/uwm/uwm.SlackBuild
+++ b/desktop/uwm/uwm.SlackBuild
@@ -1,7 +1,11 @@
#!/bin/sh
# Slackware build script for uwm
-#
+
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# Thanks to Thorn Inurcide
+
# Copyright 2011-2013 Tracy Williams <t_s_williams[at]yahoo[dot]com>
# All rights reserved.
#
@@ -23,15 +27,15 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=uwm
-VERSION=0.2.11
+VERSION=${VERSION:-0.2.11a}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
esac
fi
@@ -64,10 +68,10 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -76,31 +80,24 @@ CXXFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-# Add xinitrc.uwm so that uwm will show up as an option in xwmconfig
-install -D -m 0755 $CWD/xinitrc.uwm $PKG/etc/X11/xinit/xinitrc.uwm
-
-# Include a session file for e.g. gdm
+#Add desktop file
mkdir -p $PKG/usr/share/xsessions
cat $CWD/uwm.desktop > $PKG/usr/share/xsessions/uwm.desktop
-# Provide a more Slackware specific menu
-mv -f $PKG/usr/share/$PRGNAM/config/appmenu $PKG/usr/share/$PRGNAM/config/appmenu.orig
-cat $CWD/appmenu > $PKG/usr/share/$PRGNAM/config/appmenu
-
-# Disable StopScript, it attempts to unmount removable drives after uwm exits
-chmod 0644 $PKG/usr/share/$PRGNAM/config/StopScript
+#Add xinitrc
+install -D -m 0755 $CWD/xinitrc.uwm $PKG/etc/X11/xinit/xinitrc.uwm
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHORS ChangeLog COPYING INSTALL INSTALL.UDE NEWS REQUIREMENTS README \
+cp -a AUTHORS COPYING ChangeLog INSTALL INSTALL.UDE NEWS README REQUIREMENTS \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild